/*
 * http://www.mikrocontroller.net/articles/FAQ#Globale_Variablen_.C3.BCber_mehrere_Dateien
 * http://www.mikrocontroller.net/topic/178233                      TIMER0
 * http://old.nabble.com/Problem-with-timer0-overflow-interrupt-in-c-language..-td14166401.html
 * http://www.roboticsindia.com/showthread.php/677-WINAVR-Timer-Problem
 * http://www.nongnu.org/avr-libc/user-manual/group__avr__interrupts.html#gad28590624d422cdf30d626e0a506255f

 * http://winavr.scienceprog.com/avr-gcc-tutorial/control-avr-8-bit-timer-counter0-using-avr-gcc.html
 * http://www.avrfreaks.net/index.php?name=PNphpBB2&file=viewtopic&t=50106

 * http://www.rn-wissen.de/index.php/RC-Empf%C3%A4nger_auswerten
 * http://blazer21.bl.funpic.de/avr/microcontroller2.htm
 */



#include "global.h"
#include <stdlib.h>         // itoa
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/wdt.h>
#include <util/delay.h>
#include "lcd.h"

//#include "encoder.h"
//#include "mylcd.h"




/* int8_t enc_delta; */
/* int8_t enc_new; */
volatile uint8_t cnt;
//static char str[16];




ISR(TIMER0_OVF_vect)
{
    uint8_t tmp;
    //cli();

    tmp=cnt;
    tmp++;
    cnt=tmp;

    //sei();
}



void Timer0_Init(void)
{
    TCCR0 = (1<<CS02) | (0<<CS01) | (1<<CS00); //CK/1024
    TIMSK |= (1<<TOIE0);

    TCNT0 = 0;
}


int main(void)
{
    //static char strtmp[16]="HELLO WORLD";

    cli();
    wdt_disable();

    cnt=0;


    //Encoder_Init();
    //Encoder_Timer0_Init();


    lcd_init();
    lcd_clear();

    lcd_setcursor( 0, 2 );
    lcd_string("Hello World!");
    //lcd_number(cnt, 5, 0);

    Timer0_Init();

    sei();

    while(1)
    {
        //itoa((uint8_t)cnt, str, 10);
        //lcd_string_xy(0,1,str);

        //itoa(cnt, str, 10);
        //lcd_setcursor(0,1);
       // lcd_string(str);


        //Encoder_ISR();
        //enc_new+=encode_read1();

        //itoa((int)enc_new, str, 10);
        //lcd_string_xy(0,2,str);


        ;
        //_delay_ms(30);
    }


    return 0;
}

