#!/bin/sh


sync

# AVR Programmer AVRISP2

PORT=usb
ISP=avrisp2
CPU=m32
HEXFILE="../bin/avr/lcd-timer.elf.hex"

#

# --- READ
# 
avrdude -p ${CPU} -c ${ISP} -P ${PORT} -F -v
#exit


# --- Programming Speed
echo "
sck 1000
e
sck 10
quit" | avrdude -p ${CPU} -c ${ISP} -P ${PORT} -tuF


# - internal RC - 8MHz
avrdude -p ${CPU} -c ${ISP} -P ${PORT} -U lfuse:w:0xe4:m -U hfuse:w:0xd9:m 
avrdude -p ${CPU} -c ${ISP} -P ${PORT} -U flash:w:${HEXFILE} -U lfuse:w:0xe4:m -U hfuse:w:0xd9:m 

# - external Quarz
#avrdude -p ${CPU} -c ${ISP} -P ${PORT} -U flash:w:${HEXFILE} -U lfuse:w:0xff:m -U hfuse:w:0xd9:m


